Skip to content
FFastPay Docs

Invoices

Update a draft invoice

PUT/api/v1/invoices/{invoiceID}

Change a draft invoice

AuthorizationBearer sk_test_… or sk_live_…

Path parameters#

  • invoiceIDuuidRequired

Body parameters#

  • kindstringRequired

    Ignored when changing a draft. One of simple, professional.

  • amount_minorintegerOptional

    A simple invoice's amount. At least 1.

  • customer_emailstringOptional

    Up to 254 characters.

  • customer_first_namestringOptional

    Up to 100 characters.

  • customer_iduuidOptional

    One of the business's customers; else give customer_email.

  • customer_last_namestringOptional

    Up to 100 characters.

  • discount_minorintegerOptional

    At least 0.

  • draftbooleanOptional

    Save without emailing the customer.

  • due_datedateOptional
  • itemsarray of objectOptional
  • notestringOptional

    Up to 1000 characters.

  • redirect_urlstringOptional

    Up to 500 characters.

  • tax_bpsintegerOptional

    From 0 to 10000.

Responses#

  • 200OK
  • 401The secret key is missing, invalid or revoked.
  • 403The key is not allowed to do this, or the request came from an address that is not on its allowlist.
  • 404Nothing was found for this business and mode.
  • 409The request clashes with the current state, such as a reference reused with different details.
  • 422A field is missing or not valid.